Package org.gradle.api.plugins

## Class HelpTasksPlugin

- java.lang.Object
- - org.gradle.api.plugins.HelpTasksPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public class HelpTasksPlugin
      extends java.lang.Object
      implements Plugin<Project>

  Adds various reporting tasks that provide information about the project.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `COMPONENTS_TASK` |
    `static java.lang.String` | `DEPENDENCIES_TASK` |
    `static java.lang.String` | `DEPENDENCY_INSIGHT_TASK` |
    `static java.lang.String` | `DEPENDENT_COMPONENTS_TASK` |
    `static java.lang.String` | `HELP_GROUP` |
    `static java.lang.String` | `MODEL_TASK` |
    `static java.lang.String` | `OUTGOING_VARIANTS_TASK` | The name of the outgoing variants report task.
    `static java.lang.String` | `PROPERTIES_TASK` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HelpTasksPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HELP_GROUP

          public static final java.lang.String HELP_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTIES_TASK

          public static final java.lang.String PROPERTIES_TASK

      See Also:
        Constant Field Values

    - #### DEPENDENCIES_TASK

          public static final java.lang.String DEPENDENCIES_TASK

      See Also:
        Constant Field Values

    - #### DEPENDENCY_INSIGHT_TASK

          public static final java.lang.String DEPENDENCY_INSIGHT_TASK

      See Also:
        Constant Field Values

    - #### COMPONENTS_TASK

          public static final java.lang.String COMPONENTS_TASK

      See Also:
        Constant Field Values

    - #### OUTGOING_VARIANTS_TASK

          @Incubating
          public static final java.lang.String OUTGOING_VARIANTS_TASK

      The name of the outgoing variants report task.
      Since:
        6.0
      See Also:
        Constant Field Values

    - #### MODEL_TASK

          public static final java.lang.String MODEL_TASK

      See Also:
        Constant Field Values

    - #### DEPENDENT_COMPONENTS_TASK

          public static final java.lang.String DEPENDENT_COMPONENTS_TASK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HelpTasksPlugin

          public HelpTasksPlugin()

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object